Bug 15953 - Section title: "The placeholder attribute" "User agents should present this hint to the user, after having stripped line breaks from it, when the element's value is the empty string and the control is not focused (e.g. by displaying it inside a blank unfo
Section title: "The placeholder attribute" "User agents should present this h...
Status: RESOLVED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 18:48 UTC by contributor
Modified: 2012-09-14 11:30 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-02-10 18:48:02 UTC
Specification: http://www.w3.org/TR/html5/spec.html
Multipage: http://www.whatwg.org/C#top
Complete: http://www.whatwg.org/c#top

Comment:
Section title: "The placeholder attribute"

"User agents should present this hint to the user, after having stripped line
breaks from it, when the element's value is the empty string and the control
is not focused (e.g. by displaying it inside a blank unfocused control)."

Usability would be improved if the wording was changed to ensure that the
placeholder remained visible when the control was focussed.

Placeholder text often contains information that is helpful to the user when
filling out the control. This should remain visible until the last possible
moment (i.e. when the user starts typing.)

Suggested rewording:

"User agents should present this hint to the user, after having stripped line
breaks from it, when the element's value is the empty string (e.g. by
displaying it inside a blank unfocused control)."

Posted from: 81.100.168.129
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.77 Safari/535.7
Comment 1 Masataka Yakura 2012-02-14 15:00:45 UTC
(In reply to comment #0)
> Placeholder text often contains information that is helpful to the user when
> filling out the control. This should remain visible until the last possible
> moment (i.e. when the user starts typing.)

This was fixed in http://html5.org/r/6782 . Now that implementations can display placeholder text upon focus. Chrome and Safari have already behaved as you describe.
Comment 2 contributor 2012-07-18 07:16:22 UTC
This bug was cloned to create bug 17913 as part of operation convergence.
Comment 3 Robin Berjon 2012-09-14 11:30:57 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Rationale: It's already in the spec.